Update a contact
POST/v1/contacts/{id}
Updates an existing contact by ID. Only included fields and relationships are modified.
Supports idempotency via the Idempotency-Key header.
Required scope: contacts:update
Rate limit category: Write
Path Parameters
id: string
Unique identifier of the contact to update.
Body ParametersJSON
Returns
Update a contact
curl https://api.lightfield.app/v1/contacts/$ID \
-H 'Content-Type: application/json' \
-H 'Lightfield-Version: 2026-03-01' \
-H "Authorization: Bearer $API_KEY" \
-d '{}'{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
}
}Returns Examples
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
}
}